package com.chinaitop.depot.customer.model;

import java.math.BigDecimal;
import java.util.Date;

public class BusinessCustomerBadrecord {
    private Integer id;

    private Integer customerBid;

    private Integer customerId;

    private Date happenDate;

    private BigDecimal foodAmount;

    private BigDecimal moneyAmount;

    private String recordType;

    private String recordInfo;

    private String name;

    private Integer orgId;

    /**
     * 客户不良记录表
     * @return id 客户不良记录表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 客户不良记录表
     * @param id 客户不良记录表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 客户id
     * @return customer_bid 客户id
     */
    public Integer getCustomerBid() {
        return customerBid;
    }

    /**
     * 客户id
     * @param customerBid 客户id
     */
    public void setCustomerBid(Integer customerBid) {
        this.customerBid = customerBid;
    }

    /**
     * 客户id
     * @return customer_id 客户id
     */
    public Integer getCustomerId() {
        return customerId;
    }

    /**
     * 客户id
     * @param customerId 客户id
     */
    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    /**
     * 发生日期
     * @return happen_date 发生日期
     */
    public Date getHappenDate() {
        return happenDate;
    }

    /**
     * 发生日期
     * @param happenDate 发生日期
     */
    public void setHappenDate(Date happenDate) {
        this.happenDate = happenDate;
    }

    /**
     * 涉粮数量
     * @return food_amount 涉粮数量
     */
    public BigDecimal getFoodAmount() {
        return foodAmount;
    }

    /**
     * 涉粮数量
     * @param foodAmount 涉粮数量
     */
    public void setFoodAmount(BigDecimal foodAmount) {
        this.foodAmount = foodAmount;
    }

    /**
     * 涉及金额
     * @return money_amount 涉及金额
     */
    public BigDecimal getMoneyAmount() {
        return moneyAmount;
    }

    /**
     * 涉及金额
     * @param moneyAmount 涉及金额
     */
    public void setMoneyAmount(BigDecimal moneyAmount) {
        this.moneyAmount = moneyAmount;
    }

    /**
     * 记录类型
     * @return record_type 记录类型
     */
    public String getRecordType() {
        return recordType;
    }

    /**
     * 记录类型
     * @param recordType 记录类型
     */
    public void setRecordType(String recordType) {
        this.recordType = recordType == null ? null : recordType.trim();
    }

    /**
     * 描述
     * @return record_info 描述
     */
    public String getRecordInfo() {
        return recordInfo;
    }

    /**
     * 描述
     * @param recordInfo 描述
     */
    public void setRecordInfo(String recordInfo) {
        this.recordInfo = recordInfo == null ? null : recordInfo.trim();
    }

    /**
     * 客户名称
     * @return name 客户名称
     */
    public String getName() {
        return name;
    }

    /**
     * 客户名称
     * @param name 客户名称
     */
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}